2

I have a magento2 extension, In that composer.json requires extra packages other than the default magento2 packages. How to Install those packages.

composer.json

"require": {
    "php": ">=5.5",
    "guzzlehttp/guzzle": "^6.3"
}

2 Answers 2

3

Installing Guzzle

The recommended way to install Guzzle is through Composer.

Install Composer

curl -sS https://getcomposer.org/installer | php

Next, run the Composer command to install the latest stable version of Guzzle:

php composer.phar require guzzlehttp/guzzle

After installing, you need to require Composer's autoloader:

require 'vendor/autoload.php';

You can then later update Guzzle using composer:

php composer.phar update

For more details refer: https://packagist.org/packages/guzzlehttp/guzzle

0
4

Please run the following commands from you Magento Root installation directory.

Step 1:

curl -sS https://getcomposer.org/installer | php

Step 2:

composer.phar require guzzlehttp/guzzle

Step 3:

require 'vendor/autoload.php';

Step 4:

composer.phar update
0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.